<?php

use Fuel\Core\View;
use Fuel\Core\Input;

class Controller_Account extends Controller_Base
{
    public function __construct()
    {
        $this->data = array();
    }

    public function action_index()
    {
        $this->action_login();
    }

    public function action_login()
    {
        // if logged in -> go to home page
        if (Auth::check()) {
            if (Auth::get('group') == 1) {
                Response::redirect('admin/dashboard');
            } else {
                Response::redirect('user/dashboard');
            }
        }

        // if click signin button
        if (Input::method() == 'POST') {

            if (Auth::login(Input::post('username'), Input::post('password'))) {
                Session::set('username', Auth::get('username'));
                Session::set('group', Auth::get('group'));
                if (Auth::get('group') == 1) {
                    Response::redirect('admin/dashboard');
                } else {
                    Response::redirect('user/dashboard');
                }
            } else {
                $this->data['error'] = 'Username or password is incorrect';
            }
        }
        return new Response(View::forge('account/login', $this->data));
    }

    /**
     * Logout
     *
     * @access public
     *
     */
    public function action_logout()
    {
        Auth::logout();
        Response::redirect('account/login');
    }
}

