<?php

/**
 * /authority.php
 *
 
 * 
 * @package optask
 * @version $Id$
 * @license X-TRANS Develop License 1.0
 */

/**
 * Test Authority model
 *
 * <pre>
 * </pre>
 *
 
 * 
 * @package optask
 * @version 1.0
 * @license X-TRANS Develop License 1.0
 */
class Test_Model_Authority extends TestCase
{

    /**
     * Test method getRolesByUser()
     *
     * @return void
     *
     * @access public
     * @since 1.0
     * @version 1.0
     * 
     */
    public function testGetRolesByUser()
    {
        $pass = Auth::hash_password('test_password');
        DB::query('delete from account')->execute();
        DB::query('delete from account_user_roles')->execute();
        DB::query("INSERT INTO account (id, username, password,group_id,email) VALUES
                    (1, 'test_username','{$pass}',0,'test_username@dummymail.dummy');")
                ->execute();
        DB::query("INSERT INTO account_user_roles (user_id,role_id) VALUES
                    (1,1),
                    (1,2),
                    (1,3);"
                )->execute();

        $expectedData = array(1,2,3);
        $actualResult = Model_Authority::getRolesByUser(1);

        $this->assertEquals($expectedData, $actualResult);
    }

    /**
     * Test method removeRolesBeforeUpdate()
     *
     * @return void
     *
     * @access public
     * @since 1.0
     * @version 1.0
     * 
     */
    public function testRemoveRolesBeforeUpdate()
    {
        $pass = Auth::hash_password('test_password');
        DB::query('delete from account')->execute();
        DB::query('delete from account_user_roles')->execute();
        DB::query("INSERT INTO account (id, username, password,group_id,email) VALUES
                    (1, 'test_username','{$pass}',0,'test_username@dummymail.dummy');")
                ->execute();
        DB::query("INSERT INTO account_user_roles (user_id,role_id) VALUES
                    (1,1),
                    (1,2),
                    (1,3);"
                )->execute();

        Model_Authority::removeRolesBeforeUpdate(1);
        $expected = DB::query("select * from account_user_roles where user_id=1")->execute();
        $this->assertCount(0,$expected);
    }

    /**
     * Test method countAuthorities()
     *
     * @return void
     *
     * @access public
     * @since 1.0
     * @version 1.0
     * 
     */
    public function testCountAuthorities()
    {
        $pass = Auth::hash_password('test_password');
        DB::query('delete from account')->execute();
        DB::query('delete from account_user_roles')->execute();
        DB::query("INSERT INTO account (id, username, password,group_id,email,user_id) VALUES
                    (1, 'test_username','{$pass}',0,'test_username@dummymail.dummy',1),
                    (2, 'test_username2','{$pass}',0,'test_username2@dummymail.dummy',2);")
                ->execute();
        DB::query("INSERT INTO account_user_roles (user_id,role_id) VALUES
                    (1,1),
                    (1,2),
                    (1,3),
                    (2,1),
                    (2,2);"
                )->execute();
        $countAuth = Model_Authority::countAuthorities(1);
        $this->assertEquals(1,$countAuth);
    }


}
